Subject: Re: 3-Jaw Chuck in DrillPress

From: [email-masked] (Felice Luftschein)
Date: Tue, 25 Jun 1996 05:53:27 GMT

Press the sleeve off the chuck with a piece of pipe in an arbor press,
take the jaws out, clean all in solvent, re assemble.

In article <[email-masked]> [email-masked] (tony) 
writes:>From: [email-masked] (tony)
>Subject: Re: 3-Jaw Chuck in DrillPress
>Date: Tue, 25 Jun 1996 00:05:18 GMT

>[email-masked] (Bill Moore) wrote:

>>I am not getting consistant clamping action when chucking drill
>>bits into the 3-jaw chuck. 

>I would try WD 40
>but I bet you will need a new chuck or a rebuild kit.